Build Files¶
Endpoints related to build files.
- GET /build-file-library-produce/¶
- Query Parameters:
limit (integer) – Maximum number of resources to return
offset (integer) – Number of resources to skip
sort (string) – Sort order (prefix with ‘-’ for descending)
- Status Codes:
200 OK – Successful response with list of resources
405 Method Not Allowed – MethodNotAllowed
403 Forbidden – Action not allowed by permissions.
- POST /build-file-library-produce/¶
- Status Codes:
201 Created – Resource created successfully
405 Method Not Allowed – MethodNotAllowed
403 Forbidden – Action not allowed by permissions.
- Response Headers:
Location – URI of the created resource
- GET /build-file-library-produce/{uuid}/¶
- Parameters:
uuid (string) – The UUID of the resource
- Status Codes:
200 OK – Successful response
405 Method Not Allowed – MethodNotAllowed
403 Forbidden – Action not allowed by permissions.
- PUT /build-file-library-produce/{uuid}/¶
- Parameters:
uuid (string) – The UUID of the resource
- Status Codes:
204 No Content – Resource updated successfully
405 Method Not Allowed – MethodNotAllowed
403 Forbidden – Action not allowed by permissions.
- DELETE /build-file-library-produce/{uuid}/¶
- Parameters:
uuid (string) – The UUID of the resource
- Status Codes:
204 No Content – Resource deleted successfully
405 Method Not Allowed – MethodNotAllowed
403 Forbidden – Action not allowed by permissions.
- GET /build-file-library/¶
- Query Parameters:
limit (integer) – Maximum number of resources to return
offset (integer) – Number of resources to skip
sort (string) – Sort order (prefix with ‘-’ for descending)
- Status Codes:
200 OK – Successful response with list of resources
404 Not Found – RecordNotFound
403 Forbidden – Unauthorized: You do not have the necessary build_file_library permissions to complete the request.
- POST /build-file-library/¶
- Status Codes:
201 Created – Resource created successfully
404 Not Found – RecordNotFound
403 Forbidden – Unauthorized: You do not have the necessary build_file_library permissions to complete the request.
- Response Headers:
Location – URI of the created resource
- GET /build-file-library/{uuid}/¶
- Parameters:
uuid (string) – The UUID of the resource
- Status Codes:
200 OK – Successful response
404 Not Found – RecordNotFound
403 Forbidden – Unauthorized: You do not have the necessary build_file_library permissions to complete the request.
- PUT /build-file-library/{uuid}/¶
- Parameters:
uuid (string) – The UUID of the resource
- Status Codes:
204 No Content – Resource updated successfully
404 Not Found – RecordNotFound
403 Forbidden – Unauthorized: You do not have the necessary build_file_library permissions to complete the request.
- DELETE /build-file-library/{uuid}/¶
- Parameters:
uuid (string) – The UUID of the resource
- Status Codes:
204 No Content – Resource deleted successfully
404 Not Found – RecordNotFound
403 Forbidden – Unauthorized: You do not have the necessary build_file_library permissions to complete the request.
- GET /build-file/¶
- Query Parameters:
limit (integer) – Maximum number of resources to return
offset (integer) – Number of resources to skip
sort (string) – Sort order (prefix with ‘-’ for descending)
- Status Codes:
200 OK – Successful response with list of resources
404 Not Found – The requested workflow cannot be found.
405 Method Not Allowed – MethodNotAllowed
403 Forbidden – Modification of the comment allowed only for comment owner.
- POST /build-file/¶
- Status Codes:
201 Created – Resource created successfully
404 Not Found – The requested workflow cannot be found.
405 Method Not Allowed – MethodNotAllowed
403 Forbidden – Modification of the comment allowed only for comment owner.
- Response Headers:
Location – URI of the created resource
- GET /build-file/{uuid}/¶
- Parameters:
uuid (string) – The UUID of the resource
- Status Codes:
200 OK – Successful response
404 Not Found – The requested workflow cannot be found.
405 Method Not Allowed – MethodNotAllowed
403 Forbidden – Modification of the comment allowed only for comment owner.
- DELETE /build-file/{uuid}/¶
- Parameters:
uuid (string) – The UUID of the resource
- Status Codes:
204 No Content – Resource deleted successfully
404 Not Found – The requested workflow cannot be found.
405 Method Not Allowed – MethodNotAllowed
403 Forbidden – Modification of the comment allowed only for comment owner.
- GET /external-build/¶
Retrieve a list of External build.
Retrieve a list of External build.
- Returns:
ResourceList: A list of external builds with total count.
- Raises:
Unauthorized: If the external-build-id feature is not enabled for the bureau.
- Query Parameters:
limit (integer) – Maximum number of resources to return
offset (integer) – Number of resources to skip
sort (string) – Sort order (prefix with ‘-’ for descending)
- Status Codes:
200 OK – Successful response with list of resources
404 Not Found – RecordNotFound: The External build you are trying to access does not exist or you do not have permission to access it.
400 Bad Request – InvalidPayload: The payload is invalid or missing required fields. InvalidPayload: The payload is invalid or missing required fields. NotImplementedError
- POST /external-build/¶
- Status Codes:
201 Created – Resource created successfully
404 Not Found – RecordNotFound: The External build you are trying to access does not exist or you do not have permission to access it.
400 Bad Request – InvalidPayload: The payload is invalid or missing required fields. InvalidPayload: The payload is invalid or missing required fields. NotImplementedError
- Response Headers:
Location – URI of the created resource
- GET /external-build/{uuid}/¶
Retrieve an External build by UUID.
Retrieve an External build by UUID.
- Args:
uuid (UUID): The UUID of the external build to retrieve.
- Returns:
dict: The external build data after hydration.
- Raises:
Unauthorized: If the external-build-id feature is not enabled for the bureau. RecordNotFound: If the external build does not exist or is inaccessible.
- Parameters:
uuid (string) – The UUID of the resource
- Status Codes:
200 OK – Successful response
404 Not Found – RecordNotFound: The External build you are trying to access does not exist or you do not have permission to access it.
400 Bad Request – InvalidPayload: The payload is invalid or missing required fields. InvalidPayload: The payload is invalid or missing required fields. NotImplementedError
- PUT /external-build/{uuid}/¶
Update an existing External build.
Update an existing External build.
- Args:
uuid (UUID): The UUID of the external build to update. payload (dict): The external build data to update.
- Returns:
dict: The updated external build data after hydration.
- Raises:
Unauthorized: If the external-build-id feature is not enabled for the bureau. RecordNotFound: If the external build does not exist or is inaccessible. Forbidden: If the user does not have permission to update the external build.
- Parameters:
uuid (string) – The UUID of the resource
- Status Codes:
204 No Content – Resource updated successfully
404 Not Found – RecordNotFound: The External build you are trying to access does not exist or you do not have permission to access it.
400 Bad Request – InvalidPayload: The payload is invalid or missing required fields. InvalidPayload: The payload is invalid or missing required fields. NotImplementedError
- GET /build/¶
List all of the builds in the system for your account. Can be filtered by `start_time` and `end_time`
List all of the builds in the system for your account. Can be filtered by start_time and end_time
- Query Parameters:
limit (integer) – Maximum number of resources to return
offset (integer) – Number of resources to skip
sort (string) – Sort order (prefix with ‘-’ for descending)
- Status Codes:
200 OK – Successful response with list of resources
404 Not Found – The build requested cannot be found
- POST /build/¶
- Status Codes:
201 Created – Resource created successfully
404 Not Found – The build requested cannot be found
- Response Headers:
Location – URI of the created resource
- GET /build/{uuid}/¶
Get a single build by UUID
Get a single build by UUID
- Parameters:
uuid (string) – The UUID of the resource
- Status Codes:
200 OK – Successful response
404 Not Found – The build requested cannot be found
- PUT /build/{uuid}/¶
Update information about a build
Update information about a build
- Parameters:
uuid (string) – The UUID of the resource
- Status Codes:
204 No Content – Resource updated successfully
404 Not Found – The build requested cannot be found